local BoxTallyMode = CrashAddon.BoxTallyMode

local function BoxTallyHUD(v, player, cam)
	if BoxTallyMode() and CrashAddon.boxtotal > 0
		//shows how many boxes have been broken vs how many there are total
		v.drawString(300, 5, "Boxes: " + (CrashAddon.boxtotal - 
				CrashAddon.boxcount) + "/" + CrashAddon.boxtotal, V_MONOSPACE|
				V_SNAPTORIGHT|V_ORANGEMAP|V_ALLOWLOWERCASE, "right")
		//if box pointer is enabled, show distance of closest box
		if CrashAddon.globalpointer and player.crash_boxpointer and
				player.crash_boxcompass and player.crash_boxcompass.valid
			local dist = player.crash_boxcompass.closedist / FRACUNIT
			v.drawString(300, 20, "Closest: " + dist + "m", V_MONOSPACE|
					V_SNAPTORIGHT|V_ORANGEMAP|V_ALLOWLOWERCASE, "right")
		end
	end
end
hud.add(BoxTallyHUD, "game")